/v1/devices/oauth

Prev Next
Post
/v1/devices/oauth

Process OAuth client credentials for device onboarding

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Body parameters
object
grant_type
string Required

OAuth grant type

Valid values[ "client_credentials" ]
Exampleclient_credentials
scope
string Required

OAuth scope containing device type, UUID, and hostname

Exampletype=zt-cpe uuid=device-uuid-123 hostname=device.example.com
state
string

OAuth state parameter

Examplestate-12345
code_verify
string

OAuth code verifier

Examplecode-verify-12345
pt
string

Platform type

Examplehardware
bm
string

Boot mode

Examplep
Responses
200

OAuth token generated successfully

object
access_token
string

OAuth access token

Exampleaccess-token-12345
expires_in
integer

Token expiration time in seconds

Example3600
token_type
string

Token type

ExampleBearer
400

Bad request - Invalid input

500

Internal server error